/* Import Google font - Poppins */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");


/*
1: STILI GLOBALI
2: NAVIGATION
3: MAIN

100: FOOTER
200: MEDIA QUERIES

*/



/* 1: STILI GLOBALI */

:root {
	/*colori principali*/
	--white-color: #fff;
	--baby-blue: #b1d4e0;
	--blue: #2e8bc0;
	--blue-color: #4070f4;
	--midnight-blue: #145da0;
	--dark-blue: #0c2d48;
	--grey-shadow: #fafafa;
	--grey-color: #707070;
	--grey-color-light: #aaa;
	--black-color: #000;

	--font-size-base: 1rem;
	--font-weight-base-hx: 400;


	/*margini laterali*/
	--ref-margin: 5rem;
	--maxw: 1250px; /* massima larghezza del content */

	/* lunghezze */
	--l1: 1rem;
	--l2: 2rem;
	--l3: 3rem;
	--l4: 4rem;
}


* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Poppins", sans-serif;
}



body {
	background-color: var(--dark-blue);
	color: var(--dark-blue);
}


li {
	list-style-type: none;
}

img {
	width: 100%;
}

h1 {
	font-size: calc(var(--font-size-base) + 0.5rem);
	font-weight: 700;
	margin: 0 auto 1rem auto;
}

h2 {
	font-size: calc(var(--font-size-base) + 0.25rem);
	font-weight: 700;
	margin: 0 auto 1rem auto;
	font-family: 'Times New Roman', Times, serif;
}

h3 {
	font-size: calc(var(--font-size-base) + 0rem);
	font-weight: 700;
	margin: 0 auto 1rem auto;
	font-family: 'Times New Roman', Times, serif;
}

h4 {
	font-size: calc(0.9*var(--font-size-base));
	font-weight: 700;
	margin: 0 auto 1rem auto;
}

 a {
	text-decoration: none;
 }

 
a:link, a:visited {
	color: var(--dark-blue);
}

a:hover, a:active {
	color: var(--blue);
}



div.container-flx {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	background: var(--white-color);
}

/* 2: NAVIGATION */


.navbar {
	background-color: var(--white-color);
	font-family: 'Oswald', sans-serif;
	font-size: calc(var(--font-size-base) * 0.9);
	min-height: 4rem;	
	display: flex;
	flex-direction: column;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	margin: 0;
	box-shadow: 0 1px 4px var(--grey-color);
}

div.indirizzo-alto {
	display: none;
	margin-left: 1rem;
}

.barra-fissa {
	display: flex;
	align-items: center;
	padding-bottom: var(--l1);
	margin-left: var(--l1);
	margin-right: var(--l1);
}

.voci_menu {
	display: none;
}

.mostra-menu {
	margin-left: auto;
	cursor: pointer;
	font-size: calc(var(--font-size-base)*1.1);
	font-weight: 700;
	vertical-align: middle;
}	

.Navbar__ToggleShow {
	display: flex;
	flex-direction: column;
	margin-left: var(--l2);
	margin-right: var(--l2);
	padding: var(--l1) 0;
	border-top: 1px solid var(--grey-color-light);
}

.ListItem,
.LastItem,
.mostra-menu,
.logo {
	color: var(--dark-blue);
	text-decoration: none;
}

.ListItem,
.mostra-menu {
	margin-right: 1rem;
}

.logo {
	margin-top: 0.5rem;
	width: 100%
}

/*
.logo img {
	margin-right: 1rem;
	vertical-align: middle;
}
 */
.logo-text {
	margin-left: 1rem;
	font-weight: 500;
}

/* 3: MAIN ****************** */
main.main-content {
	display: flex;
	flex-direction: column;
	margin: var(--l2) auto 0.5rem;
	padding: var(--l2);
	width: 100%;
	font-size: var(--font-size-base);
	color: var(--dark-blue);
}

/* CHI */
	main.main-content-chi {
		display: flex;
		flex-direction: column;
		margin: var(--l2) auto 0.5rem;
		padding: var(--l2);
		color: var(--dark-blue);
	}

	div.presentazione {
		display: flex;
		flex-direction: column;
	}

	div.chidx{
		margin-top: var(--l1);
	}


/* FINE CHI */

div.cont-sx {
	display: flex;
	flex-direction: column;
}

.main-title {
	border: 1px solid var(--dark-blue);
	padding: var(--l1);
	margin: var(--l1) 0;
	font-size: 0.8rem;
}

.main-title h1 {
	font-size: calc(var(--font-size-base) * 1.5);
	font-family: 'Times New Roman', Times, serif;
}

div.cont-dx {
	display: flex;
	flex-direction: column;
	padding-top: var(--l1);
}


article.left-txt h4 {
	margin-top: 1rem;
}

article.left-txt ul {
	padding-left: var(--l2);
	margin-bottom: 1rem;
}

article.left-txt ul li::marker {
	font-weight: 700;
}

article.left-txt li {
	list-style-type: ">  ";
	padding: calc(var(--l1) * 0.1) 0;
	font-size: 1rem;
}

div.gmaps {
	width: 100%;
	background-color: #D2D0C5;
	padding-bottom: 0px;
	display: flex;
	align-items: center;
}


.gmaps iframe {
	aspect-ratio: 4/3;
}



/* 100: FOOTER */

footer.mainft {
	background-color: var(--grey-color);
	color: var(--white-color);
	padding: var(--l2);
	min-height: 30vh;
	width: 100%;
}

.mainft h3 {
	font-size: calc(0.9*var(--font-size-base));
	font-weight: 500;
	font-family: "Poppins", sans-serif; 
}

footer.mainft li {
	list-style-type: disc;
	padding: 0 calc(var(--l1) * 0.5);
}

.riepil {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-evenly;
	text-align: start;
}

.foot-div {
	display: flex;
	flex-flow: column;
	width: 200px;
	flex: 1 1 auto;
	margin: var(--l1);
	color: #D2D0C5;
	font-size: 0.75em;
}

section.riepil div.dove {
	text-align: center;
}

div.ft-contact {
	text-align: center;
	font-size: 0.8rem;
}

.copyr {
	min-width: 100%;
	background-color: var(--dark-blue);
	color: var(--white-color);
	font-size: 0.8em;
	text-align: center;
}

/* 200: MEDIA QUERIES */

@media (min-width: 480px) {
	
	.main-title h1 {
		font-size: calc(2*var(--font-size-base));
	}

	h2 {
		font-size: calc(var(--font-size-base) + 0.75rem);
	}

	h3 {
		font-size: calc(var(--font-size-base) + 0.5rem);
	}

	.mainft h3 {
		font-size: calc(0.8*var(--font-size-base));
		font-weight: 500;
		font-family: "Poppins", sans-serif;
	}

	h4 {
		font-size: calc(0.9*var(--font-size-base));
	}


	.navbar {
		margin: 0 auto;
		padding: 0 2rem;
		min-height: 8rem;
		left: calc((var(--ref-margin) / (var(--maxw) - 768px)) * (100vw - 768px));
		right: calc((var(--ref-margin) / (var(--maxw) - 768px)) * (100vw - 768px));
	}
	
	.voci_menu {
		display: flex;
		padding-left: var(--l2);
	}

	.ListItem,
	.LastItem,
	.mostra-menu {
		font-size: calc(var(--font-size-base));
	}

	.logo {
		font-size: calc(var(--font-size-base) + 1rem);
	}

	.logo-text {
		font-size: calc(var(--font-size-base) + 1rem);
	}

	div.indirizzo-alto {
		display: block;
		font-size: var(--font-size-base);
	}


	.mostra-menu {
		display: none;
	}
	

	/* MAIN */
	div.container-flx {
		position: absolute;
		left: calc((var(--ref-margin) / (var(--maxw) - 768px)) * (100vw - 768px));
		right: calc((var(--ref-margin) / (var(--maxw) - 768px)) * (100vw - 768px));
		display: flex;
		justify-content: center;
		align-items: center;
	}

	main.main-content {
		margin-top: 6rem;
		display: flex;
		flex-direction: row;
		align-items: flex-start;
		width: 100%;
	}


	.cont-dx {
		flex: 0 2 auto;
		margin-top: var(--l1);
		padding-top: var(--l2);
		margin-left: var(--l1)
	}

	.cont-sx {
		flex: 1 1 auto;
		margin-right: var(--l1)
	}


	.pag-contatti {
		width: 50%;
	}

	.bordo {
		border: 1px solid green;
	}

	.main-title {
		margin-top: var(--l2);
	}


/* CHI */
	main.main-content-chi {
		margin-top: 6rem;
	}

	div.presentazione {
		flex-direction: row;
	}

	div.presentazione img {
		max-width: 400px;
	}	

	div.chidx{
		flex: 0 1 70%;
		border-left: 1px solid var(--dark-blue);
		margin-left: var(--l1);
		margin-top: 0;
		padding-left: var(--l1);
	}

	footer.mainft a:link, footer.mainft a:visited {
		color: #D2D0C5;
	}

	footer.mainft a:hover, footer.mainft a:active {
		color: var(--dark-blue);
	}

	div.main-sotto {
		display: flex;
		flex-direction: row;
		align-items: flex-start;
	}

	.flx1 {
		flex: 0 1 auto;
		padding: var(--l1) 0;
	}

	.main-sotto-basso {
		flex: 0 1 70%;
		border-left: 1px solid var(--dark-blue);
		padding-left: var(--l1);
	}

	img.main-image {
		object-fit: contain;
		max-width: 100%;
	}

	p,
	section {
		margin-top: 0;
	}

	.main-title {
		font-size: 1rem;
	}

	article.left-txt {
		font-size: calc(0.8rem);
	}

	article.left-txt ul {
		margin-bottom: var(--l1);
	}
}



